PSI International

Browser not yet verified on this ATLAS Cloud release


The browser you are using has not yet been verified to work correctly on this release of ATLAS Cloud. This warning message is shown for browsers with fast release cycles, such as Mozilla Firefox. You can still start the test, but if there are any problems you should first try installing an older version of the browser.

You may also want to change the browsers automatic update configuration to a manually controlled setting. More information on that is available below.

Mozilla Firefox:

Click on this link to view the complete System Requirements document.

Have more questions? Submit a request